using SurgeEngine.Actor;
using SurgeEngine.Collisions.CollisionBox;
using SurgeEngine.Player;
using SurgeEngine.Audio.Sound;
using SurgeEngine.Level;
using SurgeEngine.Vector2;

//this is an invisible 32x32 trigger that you place in a level like an event trigger
//use in conjunction with a brick, preferably a cloud, and opensurge's provided layer swap objects
object "Grind Rail Yellow" is "entity", "special"
{
    collider = CollisionBox(32, 32); //without this, we cannot interact
    grindingPlayerAnimation = 17; //set you unique player grinding animation
    player = Player.active;

    state "main"
    {
        //nothing happens here! Magic happens when the player overlaps the collider!
    }

    fun onOverlap(collider)
    {
        player = Player.active;
        //checks the player's layer, when building a level, the brick must be yellow
        if(player.layer == "yellow") {
            if(collider.entity.hasTag("player")) {
                //my basic method for boosting the player, gives player 600 speed in controllable direction
                player.gsp = player.xsp = 600 * player.direction;
                player.anim = grindingPlayerAnimation;
            }
        }
    }
}