// -----------------------------------------------------------------------------
// File: mysplash.ss
// Description: script for the Disclaimer and See Ya Screens
// Author: SynfigMaster91 <http://opensurge2d.org>
// -----------------------------------------------------------------------------

using SurgeEngine.Input;
using SurgeEngine.Level;

object "Custom Splash Screen" is "setup"
{
    fader = spawn("Fader").setFadeTime(0.5);
    input = Input("default");
    secondsToWait = 15.0;

    state "main"
    {
        state = "waiting";
    }

    state "waiting"
    {
        if(timeout(secondsToWait) || shouldSkip()) {
            fader.fadeOut();
            state = "fading out";
        }
    }

    state "fading out"
    {
        if(timeout(fader.fadeTime)) {
            state = "finished";
        }
    }

    state "finished"
    {
        Level.loadNext();
    }

    fun shouldSkip()
    {
        return (
            input.buttonPressed("fire1") ||
            input.buttonPressed("fire3") ||
            input.buttonPressed("fire4")
        );
    }
}